Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.parse
Class Array

    java.lang.Object
      jif.parse.Amb
          jif.parse.Array

    public class Array

extends Amb

An `Array` represents a `Amb` of the form "P[]". This must be an array type, although the base of that type is still ambiguous.

Constructor Summary
`Array(Grm parser, polyglot.util.Position pos, polyglot.ast.TypeNode prefix)`
`Array(Grm parser, polyglot.util.Position pos, polyglot.ast.TypeNode prefix, boolean isConst)`

Method Summary
`boolean` | `isConst()`
`polyglot.ast.TypeNode` | `prefix()`
`polyglot.ast.Receiver` | `toReceiver()`
`polyglot.ast.TypeNode` | `toType()`
`polyglot.ast.TypeNode` | `toUnlabeledType()`

Methods inherited from class jif.parse.Amb
`parser, position, toClassType, toExpr, toIdentifier, toName, toNewArray, toNewArrayPrefix, toPackage, toPrefix, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Array

    public Array(Grm parser,
                 polyglot.util.Position pos,
                 polyglot.ast.TypeNode prefix)

### Array

    public Array(Grm parser,
                 polyglot.util.Position pos,
                 polyglot.ast.TypeNode prefix,
                 boolean isConst)

Method Detail

### prefix

    public polyglot.ast.TypeNode prefix()

### isConst

    public boolean isConst()

### toType

    public polyglot.ast.TypeNode toType()

  Overrides:
    `toType` in class `Amb`

### toUnlabeledType

    public polyglot.ast.TypeNode toUnlabeledType()

  Overrides:
    `toUnlabeledType` in class `Amb`

### toReceiver

    public polyglot.ast.Receiver toReceiver()

  Overrides:
    `toReceiver` in class `Amb`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD